Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.domino
Class TraceReport

    java.lang.Object
      com.compoze.domino.AbstractItem
          com.compoze.domino.AbstractDocument
              com.compoze.domino.Memo
                  com.compoze.domino.TraceReport

All Implemented Interfaces:
  java.io.Serializable

public class TraceReport
extends Memo
implements java.io.Serializable

This class is a Domino trace report. Trace report instances are obtained from the `Documents` class. Methods that access properites on the class require that the properties were loaded beforehand, when the message was initially retrieved. Any methods in this class that begin with the string `server` make a query to the server, and require that the `PropertyKey.DOCUMENT_ID` and `PropertyKey.DOCUMENT_TYPE` properties to be loaded beforehand. Any additional property requirements are indicated on each individual method.

See Also:
  Serialized Form

Nested Class Summary
`class` | `TraceReport.TraceInformation` This class represents trace information such as route server and time.

Field Summary
`static PropertyKey[]` | `ALL_PROPS` Contains an array of all of the properties available on a trace report.

Fields inherited from class com.compoze.domino.AbstractItem
`m_props, m_session`

Method Summary
`java.util.Date` | `getDeliveryDate()` Gets the delivery date.
`java.lang.String` | `getDeliveryDateString(java.text.DateFormat dateFormat)` Gets the delivery date for the document formatted with the specified date format.
`java.lang.String` | `getIntendedRecipient()` Gets the intended recipient.
`TraceReport.TraceInformation[]` | `getTraceInformation()` Gets the trace information for this trace report.

Methods inherited from class com.compoze.domino.Memo
`getBody, getBodyHtml, getBodyHtml, getBodyStoredFormHtml, getBodyStoredFormHtml, getDeliveredDate, getDeliveredDateString, getDeliveryPriority, getDeliveryReportLevel, getFollowUpDate, getFollowUpStatus, getFollowUpText, getImportance, getMemoDate, getMemoDateString, getNormalizedSubject, getPostedDate, getPostedDateString, getPreventCopy, getRecipientInfoArray, getReturnReceipt, getSenderInfo, getSenderName, getSubject, getSubject, getSubject, getSubject, getUnread, isEncrypted, serverForward, serverReply, serverSaveAsDraft, serverSaveAsDraft, serverSaveAsDraft, serverSaveAsDraft, serverUpdate, serverUpdate, setBody, setBodyHtml, setDeliveryPriority, setDeliveryReportLevel, setFollowUpDate, setFollowUpStatus, setFollowUpText, setImportance, setPreventCopy, setReturnReceipt, setSubject, setUnread`

Methods inherited from class com.compoze.domino.AbstractDocument
`getAttachmentCount, getAttachmentInfo, getAttachmentInfoArray, getDateCreated, getDateCreatedString, getDateModified, getDateModifiedString, getDocumentType, getEmbeddedImageCount, getEmbeddedImageInfo, getEmbeddedImageInfoArray, getID, getParentID, getSize, getSizeInKilos, hasAttachment, serverAddAttachment, serverCopyTo, serverDeleteAttachment, serverMoveTo`

Methods inherited from class com.compoze.domino.AbstractItem
`get, getBoolean, getDate, getDateArray, getDouble, getInt, getPropertyKeys, getString, getStringArray, getUpdatedPropertyValues, set, setBoolean, setDate, setDouble, setInt, setString, setStringArray`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ALL_PROPS

    public static final PropertyKey[] ALL_PROPS

  Contains an array of all of the properties available on a trace report. Although this can be used when specifying property keys to retrieve, it's preferable to only specify the keys that are required as the number of properties that are pulled back from the server has a direct impact on performance.

Method Detail

### getIntendedRecipient

    public java.lang.String getIntendedRecipient()
                                          throws DominoException

  Gets the intended recipient.

  Returns:
    the intended recipient
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.INTENDED_RECIPIENT`

### getDeliveryDate

    public java.util.Date getDeliveryDate()
                                   throws DominoException

  Gets the delivery date.

  Returns:
    the delivery date
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.DELIVERY_DATE`

### getDeliveryDateString

    public java.lang.String getDeliveryDateString(java.text.DateFormat dateFormat)
                                           throws DominoException

  Gets the delivery date for the document formatted with the specified date format.

  Parameters:
    `dateFormat` - the date format (may not be `null`)
  Returns:
    the delivery date for the document or empty string if delivery date property is `null`
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.DELIVERY_DATE`

### getTraceInformation

    public TraceReport.TraceInformation[] getTraceInformation()
                                                       throws DominoException

  Gets the trace information for this trace report.

  Returns:
    the delivery date for the document or empty string if delivery date property is `null`
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.ROUTE_SERVERS`, `PropertyKey.ROUTE_TIMES`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.